当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

Fedora安装VirtualBox增强工具

为了尝试Fedora13这个发行版,就在虚拟机上装了一个,结果安装增强包时出了问题,找了好久才解决。步骤如下:1、因为需要安装内核开发包,准备系统编译扩展内核模块,VirtualBox推荐使用DKMS。www.linuxidc.com同时需要一些开发包。(根用户权限要求)yumupdate(更新系统到最新版packets)安装DKMS和GNUC编译器yuminstall

为了尝试Fedora 13这个发行版,就在虚拟机上装了一个,结果安装增强包时出了问题,找了好久才解决。

步骤如下:

1、因为需要安装内核开发包,准备系统编译扩展内核模块,VirtualBox推荐使用DKMS。www.linuxidc.com同时需要一些开发包。(根用户权限要求)yum update(更新系统到最新版packets)

安装 DKMS 和 GNU C编译器yum install dkms

yum install gcc

2、确认Linux内核是不是启用了PAE的。具体怎么查看不清楚,我是直接找到kernel 包看的。

rpm -qa|grep kernel|sort结果:abrt-addon-kerneloops-1.1.0-1.fc13.i686kernel-2.6.33.3-85-fc13.i686这个kernel-2.6.33.3-85-fc13.i686,其中kernel-pae包,应该没有启用PAE内核。

包含这些包binutilsgccmakepatchlibgompglibc-headersglibc-develkernel-headerskernel-devel OR kernel-pae-devel

安装:yum install binutils make patch libgomp glibc-headers glibc-devel kernel-headers kernel-devel如果是启用PAE,则是yum install binutils make patch libgomp glibc-headers glibc-devel kernel-headers kernel-pae-devel

3、再次调用这个命令:

rpm -qa|grep kernel|sort

结果:abrt-addon-kerneloops-1.1.0-1.fc13.i686kernel-2.6.33.3-85.fc13.i686kernel-devel-2.6.34.7-61.fc13.i686kernel-headers-2.6.34.7-61.fc13.i686

就是这一步有问题。这里目的是查看kernel跟kernel-devel的版本是不是一致的。这里kernel版本低了,需要升级。安装:yum update kernel-2.6.33.3-85.fc13.i686

到这里,重启一下。

3、接下来就是安装Guest Additions

载入光驱(点击Install Guest Additions),可能需要命令:mount /dev/scd0 /media/cdrom.

到光驱目录下,执行:sh ./VBoxLinuxAdditions-x86.run 

接下来顺利安装了

吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | 凯发国际娱乐 | 凯发国际娱乐下载 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有